To compile Octave 1.1.1 with gcc 2.7.1 and libg++ 2.7.1, first apply
the patch from the file README-GCC-2.7.0, then apply the patch below.
You should be able to find the README-GCC-2.7.0 file in the same place
you found this file.

These patches should at least enable you to use the newer compiler,
but they have not been extensively tested, and no bugs other than
those directly related to compilation problems with gcc 2.7.x have
been fixed.

In addition to the patches, you will need to add -fno-for-scope
to CXXFLAGS.  For example, by using the commands

  ./configure
  make CXXFLAGS="-O -g -fno-for-scope"

If you have trouble with this, I'd suggest you find copies of g++ 2.6.3
and libg++ 2.6.2 with an unpatched copy of Octave 1.1.1, at least
until Octave 1.2 is available (don't ask, I don't know when that might
happen).

Thanks,

John W. Eaton
jwe@bevo.che.wisc.edu
University of Wisconsin
Department of Chemical Engineering

-------------------------------cut here-------------------------------
diff -cNr octave-1.1.1/liboctave/dbleSCHUR.cc octave-1.1.x/liboctave/dbleSCHUR.cc
*** octave-1.1.1/liboctave/dbleSCHUR.cc	Tue Jan  3 22:15:10 1995
--- octave-1.1.x/liboctave/dbleSCHUR.cc	Thu Nov 23 14:12:31 1995
***************
*** 25,30 ****
--- 25,32 ----
  #include "config.h"
  #endif
  
+ #include <iostream.h>
+ 
  #include "dbleSCHUR.h"
  #include "mx-inlines.cc"
  #include "lo-error.h"
diff -cNr octave-1.1.1/liboctave/dbleSVD.cc octave-1.1.x/liboctave/dbleSVD.cc
*** octave-1.1.1/liboctave/dbleSVD.cc	Tue Jan  3 22:15:09 1995
--- octave-1.1.x/liboctave/dbleSVD.cc	Thu Nov 23 14:13:23 1995
***************
*** 25,30 ****
--- 25,32 ----
  #include "config.h"
  #endif
  
+ #include <iostream.h>
+ 
  #include "dbleSVD.h"
  #include "mx-inlines.cc"
  #include "f77-uscore.h"
diff -cNr octave-1.1.1/liboctave/mx-defs.h octave-1.1.x/liboctave/mx-defs.h
*** octave-1.1.1/liboctave/mx-defs.h	Tue Jan  3 22:14:38 1995
--- octave-1.1.x/liboctave/mx-defs.h	Thu Nov 23 14:09:44 1995
***************
*** 56,62 ****
  // Other data types we use but that don't always need to have full
  // declarations.
  
! class Complex;
  
  class istream;
  class ostream;
--- 56,63 ----
  // Other data types we use but that don't always need to have full
  // declarations.
  
! template <class T> class complex;
! typedef complex<double> Complex;
  
  class istream;
  class ostream;
diff -cNr octave-1.1.1/src/arith-ops.h octave-1.1.x/src/arith-ops.h
*** octave-1.1.1/src/arith-ops.h	Tue Jan  3 22:02:55 1995
--- octave-1.1.x/src/arith-ops.h	Thu Nov 23 14:19:06 1995
***************
*** 26,32 ****
  
  #include "tree-expr.h"
  
! class Complex;
  class Matrix;
  class ComplexMatrix;
  class tree_constant;
--- 26,34 ----
  
  #include "tree-expr.h"
  
! template <class T> class complex;
! typedef complex<double> Complex;
! 
  class Matrix;
  class ComplexMatrix;
  class tree_constant;
diff -cNr octave-1.1.1/src/mappers.h octave-1.1.x/src/mappers.h
*** octave-1.1.1/src/mappers.h	Tue Jan  3 22:02:28 1995
--- octave-1.1.x/src/mappers.h	Thu Nov 23 14:18:49 1995
***************
*** 24,30 ****
  #if !defined (octave_mappers_h)
  #define octave_mappers_h 1
  
! class Complex;
  
  typedef double (*d_d_Mapper)(double);
  typedef double (*d_c_Mapper)(const Complex&);
--- 24,31 ----
  #if !defined (octave_mappers_h)
  #define octave_mappers_h 1
  
! template <class T> class complex;
! typedef complex<double> Complex;
  
  typedef double (*d_d_Mapper)(double);
  typedef double (*d_c_Mapper)(const Complex&);
diff -cNr octave-1.1.1/src/octave.cc octave-1.1.x/src/octave.cc
*** octave-1.1.1/src/octave.cc	Thu Feb 23 14:09:45 1995
--- octave-1.1.x/src/octave.cc	Thu Nov 23 14:33:01 1995
***************
*** 134,153 ****
  // Top level context (?)
  jmp_buf toplevel;
  
- // This is not really the right place to do this...
- typedef void (*one_arg_error_handler_t) (const char*);
- extern one_arg_error_handler_t set_Complex_error_handler
-   (one_arg_error_handler_t f);
- 
  // This is from readline's paren.c:
  extern int rl_blink_matching_paren;
  
- static void
- octave_Complex_error_handler (const char* msg)
- {
-   warning (msg);
- }
- 
  // Nonzero means we read ~/.octaverc and ./.octaverc.
  // (--norc; --ignore-init-file; -f)
  static int read_init_files = 1;
--- 134,142 ----
***************
*** 443,450 ****
  static void
  initialize_error_handlers ()
  {
-   set_Complex_error_handler (octave_Complex_error_handler);
- 
    set_liboctave_error_handler (error);
  }
  
--- 432,437 ----
diff -cNr octave-1.1.1/src/pr-output.h octave-1.1.x/src/pr-output.h
*** octave-1.1.1/src/pr-output.h	Tue Jan  3 22:02:15 1995
--- octave-1.1.x/src/pr-output.h	Thu Nov 23 14:18:45 1995
***************
*** 26,33 ****
  
  class ostream;
  
  class Matrix;
- class Complex;
  class ComplexMatrix;
  class Range;
  
--- 26,35 ----
  
  class ostream;
  
+ template <class T> class complex;
+ typedef complex<double> Complex;
+ 
  class Matrix;
  class ComplexMatrix;
  class Range;
  
diff -cNr octave-1.1.1/src/xdiv.h octave-1.1.x/src/xdiv.h
*** octave-1.1.1/src/xdiv.h	Tue Jan  3 22:01:29 1995
--- octave-1.1.x/src/xdiv.h	Thu Nov 23 14:18:24 1995
***************
*** 24,30 ****
  #if !defined (octave_xdiv_h)
  #define octave_xdiv_h 1
  
! class Complex;
  class Matrix;
  class ComplexMatrix;
  class tree_constant;
--- 24,32 ----
  #if !defined (octave_xdiv_h)
  #define octave_xdiv_h 1
  
! template <class T> class complex;
! typedef complex<double> Complex;
! 
  class Matrix;
  class ComplexMatrix;
  class tree_constant;
diff -cNr octave-1.1.1/src/xpow.h octave-1.1.x/src/xpow.h
*** octave-1.1.1/src/xpow.h	Tue Jan  3 22:01:28 1995
--- octave-1.1.x/src/xpow.h	Thu Nov 23 14:18:35 1995
***************
*** 24,30 ****
  #if !defined (octave_xpow_h)
  #define octave_xpow_h 1
  
! class Complex;
  class Matrix;
  class ComplexMatrix;
  class tree_constant;
--- 24,32 ----
  #if !defined (octave_xpow_h)
  #define octave_xpow_h 1
  
! template <class T> class complex;
! typedef complex<double> Complex;
! 
  class Matrix;
  class ComplexMatrix;
  class tree_constant;
